Beefy Boxes and Bandwidth Generously Provided by pair Networks Ovid
Keep It Simple, Stupid
 
PerlMonks  

dependency error isntalling rpm package

by kurtcobain (Novice)
on Oct 15, 2012 at 17:19 UTC ( #999132=perlquestion: print w/ replies, xml ) Need Help??
kurtcobain has asked for the wisdom of the Perl Monks concerning the following question:

Hi Monks, I created a rpm package , but when i try to install it shows failed dependency errors . I used cpan modules likeCofig::IniFiles,HTML::TableExtarct in my code. How can i resolve this error. Please help.

rpm -i patchmanagement-1-1.x86_64.rpm error: Failed dependencies: perl(Config::IniFiles) is needed by patchmanagement-1-1.x86_64 perl(HTML::TableExtract) is needed by patchmanagement-1-1.x86_64 perl(IO::CaptureOutput) is needed by patchmanagement-1-1.x86_64 perl(Spreadsheet::ParseExcel) is needed by patchmanagement-1-1.x86 +_64 perl(Text::CSV_XS) is needed by patchmanagement-1-1.x86_64 perl(XML::Writer) is needed by patchmanagement-1-1.x86_64

Comment on dependency error isntalling rpm package
Download Code
Re: dependency error isntalling rpm package
by Anonymous Monk on Oct 15, 2012 at 17:42 UTC
Re: dependency error isntalling rpm package
by zwon (Monsignor) on Oct 16, 2012 at 12:36 UTC
    It looks like you haven't installed dependencies

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://999132]
Approved by Tanktalus
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others about the Monastery: (5)
As of 2014-04-21 06:23 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    April first is:







    Results (492 votes), past polls